<?
 /*SCRIPT PARA MANTENIMIENTO DE CARGOS A ALUMNOS*/
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
 /*SOFTWARE: E-DUCATIVO */
  include("../fnc.php");
  enlinea_a();

  if(!$key or !$cargo or !$ida){
    param_inc();
  }

  $id_key=dec($key);
  $id_cargo=dec($cargo);
  $id_alumno=dec($ida);

//  echo "$id_key - $id_cargo $id_alumno";

  switch($id_key){
    case "ind":
    if($id_cargo=="matricula"){
      $qvalores=mysql_query("select grados.vinscripcion
                             from grados inner join alumnos on alumnos.grado_estudio = grados.id
                             where alumnos.carnet='$id_alumno'");
      if(mysql_num_rows($qvalores)==0){
       param_inc();
      }
      $ivalores=mysql_fetch_array($qvalores);
      $qverifica=mysql_query("select * from cp_cargos
                              where carnet='$id_alumno' and tipo='MT' and year=$df_year_actual");

      $qbeca=mysql_query("select beca_matricula, beca_mensualidad from alumnos where carnet = '$id_alumno'");
      if(mysql_num_rows($qbeca)==0){param_inc();}
      $ibeca=mysql_fetch_array($qbeca);

      if(empty($ibeca[beca_matricula])){
        $ibeca[beca_matricula]=0;
      }

      if(empty($ibeca[beca_mensualidad])){
        $ibeca[beca_mensualidad]=0;
      }
      $mess="";

      if($ibeca[beca_matricula]>0){$mess=" (BECA {$ibeca[beca_matricula]}%)";}

      $valor_desc_matricula=(100-$ibeca[beca_matricula])/100;
      $valor_desc_mensualidad=(100-$ibeca[beca_mensualidad])/100;

      $ivalores[vinscripcion]=round($ivalores[vinscripcion]*$valor_desc_matricula,2);

      if(mysql_num_rows($qverifica)==0){
       $sql="insert into cp_cargos
             set carnet='$id_alumno',
             descripcion='Matrícula $mess',
             valor='{$ivalores[vinscripcion]}',
             saldo='{$ivalores[vinscripcion]}',
             fecha_cargo='$fechahora',
             year=$df_year_actual,
             tipo='MT',
             mes='0',
             usuario='$uuser'";

       $ins=mysql_query($sql);
       if(!$ins){error(mysql_error());}else{
         //alert("Cargo operado con éxito","frm_cp_cargoindividual.php?txtalumno=$id_alumno");
         header("Location: ./frm_cp_cargoindividual.php?txtalumno=$id_alumno");

       }
      }else{
//       alert("El alumno ya tiene cargado el valor de la matrícula","frm_cp_cargoindividual.php?txtalumno=$id_alumno");
         header("Location: frm_cp_cargoindividual.php?txtalumno=$id_alumno");
      }
    }

    if($id_cargo=="mensualidad"){
      $qvalores=mysql_query("select grados.*
                             from grados inner join alumnos on alumnos.grado_estudio = grados.id
                             where alumnos.carnet='$id_alumno'");
      if(mysql_num_rows($qvalores)==0){
       param_inc();
      }

      $ivalores=mysql_fetch_array($qvalores);

      $qbeca=mysql_query("select beca_matricula, beca_mensualidad from alumnos where carnet = '$id_alumno'");
      if(mysql_num_rows($qbeca)==0){param_inc();}
      $ibeca=mysql_fetch_array($qbeca);

      if(empty($ibeca[beca_matricula])){
        $ibeca[beca_matricula]=0;
      }

      if(empty($ibeca[beca_mensualidad])){
        $ibeca[beca_mensualidad]=0;
      }
      $mess="";
      if($ibeca[beca_mensualidad]>0){$mess=" (BECA {$ibeca[beca_mensualidad]}%)";}
      $valor_desc_matricula=(100-$ibeca[beca_matricula])/100;
      $valor_desc_mensualidad=(100-$ibeca[beca_mensualidad])/100;

      $ivalores[vmensualidad]=round($ivalores[vmensualidad]*$valor_desc_mensualidad,2);

     for($i=1;$i<=12;$i++){
      $mmes="m$i";
      $paga_mes=$ivalores[$mmes];
      if($paga_mes=='S'){
      $qverifica=mysql_query("select * from cp_cargos
                              where carnet='$id_alumno'
                              and tipo='ME'
                              and year=$df_year_actual
                              and mes=$i");

       if(mysql_num_rows($qverifica)==0){
        $sql="insert into cp_cargos
              set carnet='$id_alumno',
              descripcion='Mensualidad ".mes_letras($i)." $mess',
              valor='{$ivalores[vmensualidad]}',
              saldo='{$ivalores[vmensualidad]}',
              fecha_cargo='$fechahora',
              year=$df_year_actual,
              tipo='ME',
              mes='$i',
              usuario='$uuser'";
//        echo $sql."<br>";
          mysql_query($sql);
       } // fin if
      }//fin si paga el mes
     }// fin del ciclo
     header("Location: frm_cp_cargoindividual.php?txtalumno=$id_alumno");
    }//fin del if si es mensualidad

    if($id_cargo=="Otros"){
     for($i=1;$i<=12;$i++){
      $tmp="m$i";

      if(!$$tmp=="S"){
        continue;
      }

      $maxdias=date("t",mktime(0,0,0,$i,1,$txtyearcargo));

      if(strval($maxdias) >= strval($txtdpago)){
         $txtdiapago=$txtdpago;
      }else{
         $txtdiapago=$maxdias;
      }

      $fcargo=$txtyearcargo."-".$i."-".$txtdiapago;
      $fp[2]=$txtyearcargo;
      $fp[1]=$i;
      $fp[0]=$txtdiapago;

      $qic=mysql_query("select * from cp_tipos_cargos where id = '$txtdesccargo'");
      if(mysql_num_rows($qic)==0){
        alert("Parámetros incorrectos / Cargo no encontrado","frm_cp_cargoindividual.php?txtalumno=$id_alumno");
      }

      $ic=mysql_fetch_array($qic);
      $cdescripcion=$ic[descripcion]." ".$txtdescadicional;
      $ccodigo=$ic[id];
                        $sql="select * from cp_cargos
                              where carnet='$id_alumno'
                              and descripcion='$cdescripcion'
                              and valor='$txtvcargo'
                              and tipo='$ccodigo'
                              and year='{$fp[2]}'
                              and mes='{$fp[1]}'";
      $qverifica=mysql_query($sql);

      if(mysql_num_rows($qverifica)==0){
        $sql="insert into cp_cargos
              set carnet='$id_alumno',
              descripcion='$cdescripcion',
              valor='$txtvcargo',
              saldo='$txtvcargo',
              fecha_cargo='$fcargo',
              year='{$fp[2]}',
              tipo='$ccodigo',
              mes='{$fp[1]}',
              usuario='$uuser'";

        $ins=mysql_query($sql);
        if(!$ins){echo mysql_error()."<br>";}
      }
     }
     header("Location: frm_cp_cargoindividual.php?txtalumno=$id_alumno");
    } // fin si es otros cargos
    break;

    case "grupo":
    break;
  }
?>
